Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ValueFactoryBase_var Class Reference

_var class for ValueFactoryBase. More...

`#include <ValueFactory.h>`

List of all members.

## Public Methods
| CORBA_ValueFactoryBase_var (void)
| CORBA_ValueFactoryBase_var (CORBA::ValueFactoryBase *)
| CORBA_ValueFactoryBase_var (const CORBA_ValueFactoryBase_var &)
| ~CORBA_ValueFactoryBase_var (void)
CORBA_ValueFactoryBase_var & | operator= (CORBA::ValueFactoryBase *)
CORBA_ValueFactoryBase_var & | operator= (const CORBA_ValueFactoryBase_var &)
CORBA::ValueFactoryBase * | operator-> (void) const
| operator const CORBA::ValueFactoryBase *& () const
| in, inout, out, _retn. More...
| operator CORBA::ValueFactoryBase *& ()
CORBA::ValueFactoryBase * | in (void) const
CORBA::ValueFactoryBase *& | inout (void)
CORBA::ValueFactoryBase *& | out (void)
CORBA::ValueFactoryBase * | _retn (void)
CORBA::ValueFactoryBase * | ptr (void) const
## Private Attributes
CORBA::ValueFactoryBase * | ptr_

## Detailed Description

_var class for ValueFactoryBase.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ValueFactoryBase_var::CORBA_ValueFactoryBase_var | ( | void |  | ) |

ACE_INLINE CORBA_ValueFactoryBase_var::CORBA_ValueFactoryBase_var | ( | CORBA::ValueFactoryBase * | p | ) |

ACE_INLINE CORBA_ValueFactoryBase_var::CORBA_ValueFactoryBase_var | ( | const CORBA_ValueFactoryBase_var & | p | ) |

ACE_INLINE CORBA_ValueFactoryBase_var::~CORBA_ValueFactoryBase_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA::ValueFactoryBase * CORBA_ValueFactoryBase_var::_retn | ( | void |  | ) |

ACE_INLINE CORBA::ValueFactoryBase * CORBA_ValueFactoryBase_var::in | ( | void |  | ) | const

ACE_INLINE CORBA::ValueFactoryBase *& CORBA_ValueFactoryBase_var::inout | ( | void |  | ) |

ACE_INLINE CORBA_ValueFactoryBase_var::operator const CORBA::ValueFactoryBase *& | ( |  | ) | const

| in, inout, out, _retn.

ACE_INLINE CORBA_ValueFactoryBase_var::operator CORBA::ValueFactoryBase *& | ( |  | ) |

ACE_INLINE CORBA::ValueFactoryBase * CORBA_ValueFactoryBase_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_ValueFactoryBase_var & CORBA_ValueFactoryBase_var::operator= | ( | const CORBA_ValueFactoryBase_var & | p | ) |

ACE_INLINE CORBA_ValueFactoryBase_var & CORBA_ValueFactoryBase_var::operator= | ( | CORBA::ValueFactoryBase * | p | ) |

ACE_INLINE CORBA::ValueFactoryBase *& CORBA_ValueFactoryBase_var::out | ( | void |  | ) |

ACE_INLINE CORBA::ValueFactoryBase * CORBA_ValueFactoryBase_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA::ValueFactoryBase* CORBA_ValueFactoryBase_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ValueFactory.h
- ValueFactory.i